Subject: Re: linux-next: build failure after merge of the v4l-dvb tree

From: Mauro Carvalho Chehab <[email-masked]>
Date: Thu, 16 Aug 2012 22:46:11 -0300

Hi Stephen,

Em 16-08-2012 22:10, Stephen Rothwell escreveu:
> Hi Mauro,
> 
> After merging the v4l-dvb tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> ERROR: "usb_cypress_load_firmware" [drivers/staging/media/go7007/s2250-loader.ko] undefined!

This is due to the usage of "=" or ":=" instead of "+=" on some places. Just pushed a
patch fixing it.

> ERROR: "b2c2_flexcop_debug" [drivers/media/pci/b2c2/b2c2-flexcop-pci.ko] undefined!

It may also be due to the same reason. I'll double-check this one.

> Given the major reorganisation going on, I have just used the v4l-dvb
> tree from next-20120816 for today.

Ok.

Almost all patches already went there, so I expect that it will be
more stable tomorrow. Yet, it might have some conflicts with a few
trees (like the "trivial" tree).

Regards,
Mauro